import { HTMLAttributes } from 'react';
import { UseSpringProps } from 'react-spring';
import FocusTrap from 'focus-trap-react';
declare global {
    interface Window {
        __ACTIVE__REACT__SPRING__DIALOGS: string[];
    }
}
export declare type Props = {
    initial?: UseSpringProps;
    enter?: UseSpringProps;
    leave?: UseSpringProps;
    closeDialonOnOutsideClick?: boolean;
    closeDialogOnEscKeyPress?: boolean;
    backdropSpringConfig?: {
        initial?: UseSpringProps['config'];
        enter?: UseSpringProps['config'];
        leave?: UseSpringProps['config'];
    };
    useDefaultBackdropSpringConfig?: boolean;
    backdropBackground?: string;
    renderBackdrop?: boolean;
    isActive: boolean;
    focusTrapProps?: Omit<FocusTrap.Props, 'children'>;
    children?: React.ReactNode;
    ContainerComponent?: React.FC<HTMLAttributes<HTMLDivElement>>;
    DialogComponent?: React.FC<HTMLAttributes<HTMLElement>>;
    onClose(): void;
} & HTMLAttributes<HTMLElement>;
export declare const Dialog: ({ children, initial, enter, leave, backdropSpringConfig, useDefaultBackdropSpringConfig, isActive, onClose, backdropBackground, renderBackdrop, focusTrapProps, ContainerComponent, DialogComponent, closeDialonOnOutsideClick, closeDialogOnEscKeyPress, ...rest }: Props) => import("react").ReactPortal | null;
